# Class CLNSupercompressionLZ4

java.lang.Object
com.io7m.calino.supercompression.lz4.CLNSupercompressionLZ4

All Implemented Interfaces:
  `CLNCompressorSPIFactoryType, CLNDecompressorSPIFactoryType`

public final class CLNSupercompressionLZ4 extends Object implements CLNDecompressorSPIFactoryType, CLNCompressorSPIFactoryType
Support for LZ4 supercompression.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNSupercompressionLZ4()`
  Support for LZ4 supercompression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLNCompressorSPIType`
  `createCompressor(CLNCompressorSPIRequest request)`
  Create a compressor.
  `CLNDecompressorSPIType`
  `createDecompressor(CLNDecompressorSPIRequest request)`
  Create a decompressor.
  `String`
  `name()`
  `List<CLNSuperCompressionMethodType>`
  `supportedCompressionMethods()`
  `List<CLNSuperCompressionMethodType>`
  `supportedDecompressionMethods()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface CLNCompressorSPIFactoryType

  `supportsCompressionFor`

  ### Methods inherited from interface CLNDecompressorSPIFactoryType

  `supportsDecompressionFor`

- ## Constructor Details

  - ### CLNSupercompressionLZ4

    public CLNSupercompressionLZ4()
    Support for LZ4 supercompression.

- ## Method Details

  - ### createCompressor

    public CLNCompressorSPIType createCompressor(CLNCompressorSPIRequest request)
    Description copied from interface: `CLNCompressorSPIFactoryType`
    Create a compressor.
    Specified by:
      `createCompressor` in interface `CLNCompressorSPIFactoryType`
    Parameters:
      `request` - The compression request
    Returns:
      A compressor

  - ### createDecompressor

    public CLNDecompressorSPIType createDecompressor(CLNDecompressorSPIRequest request) throws IOException
    Description copied from interface: `CLNDecompressorSPIFactoryType`
    Create a decompressor.
    Specified by:
      `createDecompressor` in interface `CLNDecompressorSPIFactoryType`
    Parameters:
      `request` - The decompression request
    Returns:
      A decompressor
    Throws:
      `IOException` - On errors

  - ### name

    public String name()
    Specified by:
      `name` in interface `CLNCompressorSPIFactoryType`
    Specified by:
      `name` in interface `CLNDecompressorSPIFactoryType`
    Returns:
      The name of the factory implementation

  - ### supportedCompressionMethods

    public List<CLNSuperCompressionMethodType> supportedCompressionMethods()
    Specified by:
      `supportedCompressionMethods` in interface `CLNCompressorSPIFactoryType`
    Returns:
      The list of the supported compression methods

  - ### supportedDecompressionMethods

    public List<CLNSuperCompressionMethodType> supportedDecompressionMethods()
    Specified by:
      `supportedDecompressionMethods` in interface `CLNDecompressorSPIFactoryType`
    Returns:
      The list of the supported compression methods